﻿using System;

namespace Microsoft.CSA.FeedSync.FeedSyncLibrarySL
{
    public interface IFeedSyncItem
    {
        Microsoft.CSA.FeedSync.FeedSyncLibrarySL.Sync Sync { get; set; }
        System.Xml.Linq.XElement XElement { get; }

        void Update(System.DateTime? i_WhenDateTime, string i_By);
        void ResolveConflicts(System.DateTime? i_WhenDateTime, string i_By);
        void Delete(System.DateTime? i_WhenDateTime, string i_By);

        Microsoft.CSA.FeedSync.FeedSyncLibrarySL.IFeedSyncItem Clone();
        Microsoft.CSA.FeedSync.FeedSyncLibrarySL.Sync Initialize(System.Xml.Linq.XElement i_XElement);
    }
}
